tigase.server.script

## Interface CommandIfc

- All Superinterfaces:
    StatisticHolder
  All Known Implementing Classes:
    AbstractScriptCommand, AddScriptCommand, RemoveScriptCommand, Script

      public interface CommandIfc
      extends StatisticHolder

  Created: Jan 2, 2009 1:20:16 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADD_SCRIPT_CMD` Field description
    `static String` | `ADMINS_SET` Field description
    `static String` | `ADMN_CMDS` Field description
    `static String` | `ADMN_DISC` Field description
    `static String` | `AUTH_REPO` Field description
    `static String` | `COMMAND_ID` Field description
    `static String` | `COMMANDS_ACL` Field description
    `static String` | `COMPONENT` Field description
    `static String` | `COMPONENT_NAME` Field description
    `static String` | `CONNECTED_NODES`
    `static String` | `CONNECTED_NODES_WITH_LOCAL`
    `static String` | `DEL_SCRIPT_CMD` Field description
    `static String` | `DESCRIPT` Field description
    `static String` | `GROUP` Field description
    `static String` | `LANGUAGE` Field description
    `static String` | `PACKET` Field description
    `static String` | `REMOVE_FROM_DISK` Field description
    `static String` | `SAVE_TO_DISK` Field description
    `static String` | `SCRI_MANA` Field description
    `static String` | `SCRIPT_BASE_DIR` Field description
    `static String` | `SCRIPT_CLASS` Field description
    `static String` | `SCRIPT_COMP_DIR` Field description
    `static String` | `SCRIPT_COMPONENT` Field description
    `static String` | `SCRIPT_DESCRIPTION` Field description
    `static String` | `SCRIPT_GROUP` Field description
    `static String` | `SCRIPT_ID` Field description
    `static String` | `SCRIPT_RESULT` Field description
    `static String` | `SCRIPT_TEXT` Field description
    `static String` | `SERVICES_MAP` Field description
    `static String` | `USER_CONN` Field description
    `static String` | `USER_REPO` Field description
    `static String` | `USER_SESS` Field description
    `static String` | `VHOST_MANAGER` Field description

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `getBindings()` Method description
    `String` | `getCommandId()`
    `String` | `getDescription()`
    `String` | `getGroup()`
    `void` | `init(String id, String description, String group)`
    `boolean` | `isAdminOnly()`
    `void` | `runCommand(Iq packet, Bindings binds, Queue<Packet> results)`
    `void` | `setAdminOnly(boolean adminOnly)`

    - ### Methods inherited from interface tigase.stats.StatisticHolder

      `everyHour, everyMinute, everySecond, getStatistics, setStatisticsPrefix, statisticExecutedIn`

- - ### Field Detail

    - #### VHOST_MANAGER

          static final String VHOST_MANAGER

      Field description
      See Also:
        Constant Field Values

    - #### ADMINS_SET

          static final String ADMINS_SET

      Field description
      See Also:
        Constant Field Values

    - #### COMMANDS_ACL

          static final String COMMANDS_ACL

      Field description
      See Also:
        Constant Field Values

    - #### ADMN_CMDS

          static final String ADMN_CMDS

      Field description
      See Also:
        Constant Field Values

    - #### USER_REPO

          static final String USER_REPO

      Field description
      See Also:
        Constant Field Values

    - #### AUTH_REPO

          static final String AUTH_REPO

      Field description
      See Also:
        Constant Field Values

    - #### USER_SESS

          static final String USER_SESS

      Field description
      See Also:
        Constant Field Values

    - #### USER_CONN

          static final String USER_CONN

      Field description
      See Also:
        Constant Field Values

    - #### ADMN_DISC

          static final String ADMN_DISC

      Field description
      See Also:
        Constant Field Values

    - #### SCRI_MANA

          static final String SCRI_MANA

      Field description
      See Also:
        Constant Field Values

    - #### SCRIPT_BASE_DIR

          static final String SCRIPT_BASE_DIR

      Field description
      See Also:
        Constant Field Values

    - #### SCRIPT_COMP_DIR

          static final String SCRIPT_COMP_DIR

      Field description
      See Also:
        Constant Field Values

    - #### COMPONENT_NAME

          static final String COMPONENT_NAME

      Field description
      See Also:
        Constant Field Values

    - #### COMPONENT

          static final String COMPONENT

      Field description
      See Also:
        Constant Field Values

    - #### CONNECTED_NODES

          static final String CONNECTED_NODES

      See Also:
        Constant Field Values

    - #### CONNECTED_NODES_WITH_LOCAL

          static final String CONNECTED_NODES_WITH_LOCAL

      See Also:
        Constant Field Values

    - #### SERVICES_MAP

          static final String SERVICES_MAP

      Field description
      See Also:
        Constant Field Values

    - #### SCRIPT_DESCRIPTION

          static final String SCRIPT_DESCRIPTION

      Field description
      See Also:
        Constant Field Values

    - #### SCRIPT_ID

          static final String SCRIPT_ID

      Field description
      See Also:
        Constant Field Values

    - #### SCRIPT_COMPONENT

          static final String SCRIPT_COMPONENT

      Field description
      See Also:
        Constant Field Values

    - #### SCRIPT_CLASS

          static final String SCRIPT_CLASS

      Field description
      See Also:
        Constant Field Values

    - #### SCRIPT_GROUP

          static final String SCRIPT_GROUP

      Field description
      See Also:
        Constant Field Values

    - #### LANGUAGE

          static final String LANGUAGE

      Field description
      See Also:
        Constant Field Values

    - #### COMMAND_ID

          static final String COMMAND_ID

      Field description
      See Also:
        Constant Field Values

    - #### SCRIPT_TEXT

          static final String SCRIPT_TEXT

      Field description
      See Also:
        Constant Field Values

    - #### SCRIPT_RESULT

          static final String SCRIPT_RESULT

      Field description
      See Also:
        Constant Field Values

    - #### DESCRIPT

          static final String DESCRIPT

      Field description
      See Also:
        Constant Field Values

    - #### GROUP

          static final String GROUP

      Field description
      See Also:
        Constant Field Values

    - #### SAVE_TO_DISK

          static final String SAVE_TO_DISK

      Field description
      See Also:
        Constant Field Values

    - #### REMOVE_FROM_DISK

          static final String REMOVE_FROM_DISK

      Field description
      See Also:
        Constant Field Values

    - #### PACKET

          static final String PACKET

      Field description
      See Also:
        Constant Field Values

    - #### ADD_SCRIPT_CMD

          static final String ADD_SCRIPT_CMD

      Field description
      See Also:
        Constant Field Values

    - #### DEL_SCRIPT_CMD

          static final String DEL_SCRIPT_CMD

      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getBindings

          Bindings getBindings()

      Method description

    - #### getCommandId

          String getCommandId()

    - #### getDescription

          String getDescription()

    - #### getGroup

          String getGroup()

    - #### init

          void init(String id,
                    String description,
                    String group)

    - #### isAdminOnly

          boolean isAdminOnly()

    - #### runCommand

          void runCommand(Iq packet,
                          Bindings binds,
                          Queue<Packet> results)

    - #### setAdminOnly

          void setAdminOnly(boolean adminOnly)

Copyright © 2022 "Tigase, Inc.". All rights reserved.